<?php
/**
 * The template for displaying the footer
 */
?>
    <?php $socials = mediclick_get_option( 'f_socials', array() ); ?>
    <?php if( $socials || mediclick_get_option('copy_right') ) { ?>
    <footer>
    	<?php if($socials) { ?> 
        <div class="social-icons">               
            <?php foreach ( $socials as $social ) { ?>
                <a href="<?php echo esc_url($social['link']); ?>" target="_blank"><i class="fa <?php echo esc_attr($social['icon']); ?>"></i></a>
            <?php } ?>                                        
        </div>
        <?php } ?>
        <p><small class="text-muted"><?php echo wp_kses(mediclick_get_option('copy_right'), wp_kses_allowed_html('post')); ?></small></p>
    </footer>
    <?php } ?>
    <a href="#top-page" class="back_to_top"><img src="<?php echo get_template_directory_uri(); ?>/images/back_to_top.png" alt="back to top"></a>

<?php wp_footer(); ?>
    

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>