<?php

get_header(); 

?>

<!-- subheader begin -->

<div id="subheader">         
    <?php if(mediclick_get_option('page_header')){ ?>        
    <div class="pattern">
        <h1><?php printf( esc_html__( 'Search results for: %s', 'mediclick' ), get_search_query() ); ?></h1>
    </div>
    <?php } ?>
</div>

<!-- subheader close -->

<!-- content begin -->

<div id="content">

    <div class="container">

        <div class="row">

            <div class="col-md-8">

                <div class="blog-list">

                 <?php if(have_posts()) : ?>  

                    <?php 

                    while ( have_posts()): the_post();                         


                        get_template_part( 'content', get_post_format() ) ; ?> 



                    <?php endwhile; ?> 



                <?php else: ?>



                    <h1><?php esc_html_e('Nothing Found Here!', 'mediclick'); ?></h1>



                <?php endif; ?>



                </div>



                <div class="pagination text-center ">

                    <ul>

                        <?php echo mediclick_pagination(); ?>

                    </ul>

                </div>

            </div>



            <div class="col-md-4">

                <?php get_sidebar();?>

            </div>

        </div>

    </div>

</div>

<!-- content close -->

<?php get_footer(); ?>

