<?php 

// Buttons

if(function_exists('vc_map')){

   vc_map( array(

   "name" => esc_html__("OT Button", 'mediclick'),

   "base" => "button",

   "class" => "",

   "category" => 'Mediclick Elements',

   "icon" => "icon-st",

   "params" => array(

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => esc_html__("Button Text", 'mediclick'),

         "param_name" => "btntext",

         "value" => "",

         "description" => esc_html__("", 'mediclick')

      ),
      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => esc_html__("Button Link", 'mediclick'),

         "param_name" => "btnlink",

         "value" => '',

         "description" => esc_html__("", 'mediclick')

      ),
      array(

         "type" => "dropdown",

         "holder" => "div",

         "class" => "",

         "heading" => esc_html__("Button Size", 'mediclick'),

         "param_name" => "size",

         "value" => array( 

                     esc_html__('Regular size', 'mediclick') => 'default', 

                     esc_html__('Large', 'mediclick') => 'large',

                     esc_html__('Extra Large', 'mediclick') => 'xlarge',

                     esc_html__('Small', 'mediclick') => 'small',
                    ),

         "description" => esc_html__("", 'mediclick')

      ),
      array(

         "type" => "checkbox",

         "holder" => "div",

         "class" => "",

         "heading" => esc_html__("Not Radius ?", 'mediclick'),

         "param_name" => "radius",

         "description" => esc_html__("", 'mediclick')

      ),
    )
    ));

}


// Pricing Table
if(function_exists('vc_map')){
   vc_map( array(
   "name" => esc_html__("OT Pricing Table", 'mediclick'),
   "base" => "pricingtable",
   "class" => "",
   "category" => 'Mediclick Elements',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title Pricing", 'mediclick'),
         "param_name" => "title",
         "value" => "",
         "description" => esc_html__("Title display in Pricing Table.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Price Pricing", 'mediclick'),
         "param_name" => "price",
         "value" => "",
         "description" => esc_html__("Price display in Pricing Table.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Currency", 'mediclick'),
         "param_name" => "curr",
         "value" => "",
         "description" => esc_html__("Price Currency display in Pricing Table.", 'mediclick')
      ),
      array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Detail Pricing", 'mediclick'),
         "param_name" => "content",
         "value" => "",
         "description" => esc_html__("Content Pricing Table.", 'mediclick')
      ),
      array(
         "type" => "vc_link",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Button", 'mediclick'),
         "param_name" => "linkbox",
         "value" => "",
         "description" => esc_html__("Link and button.", 'mediclick')
      ),
      array(
         "type" => "checkbox",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Featured Pricing?", 'mediclick'),
         "param_name" => "featured",
         "value" => "",
         "description" => esc_html__("", 'mediclick')
      ),
    )));
}


//Socials

if(function_exists('vc_map')){
   vc_map( array(
   "name"      => esc_html__("OT Social", 'mediclick'),
   "base"      => "otsocial",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Mediclick Elements',
   "params"    => array(
      array(
         "type" => "iconpicker",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Icon Social", 'mediclick'),
         "param_name" => "icon",
         "value" => "",
         "description" => esc_html__("Choose icon social.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Link Social", 'mediclick'),
         "param_name" => "link",
         "value" => "",
         "description" => esc_html__("Add link social.", 'mediclick')
      ),
      
    )));
}


//Video

if(function_exists('vc_map')){
   vc_map( array(
   "name"      => esc_html__("OT Video", 'mediclick'),
   "base"      => "otvideo",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Mediclick Elements',
   "params"    => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Link Video", 'mediclick'),
         "param_name" => "link",
         "value" => "",
         "description" => esc_html__("Add link video.", 'mediclick')
      ),
      
    )));
}


// Services
if(function_exists('vc_map')){
	
	vc_map( array(
   "name" => esc_html__("OT Services Box", 'mediclick'),
   "base" => "services",
   "class" => "",
   "category" => 'Mediclick Elements',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title", 'mediclick'),
         "param_name" => "title",
         "value" => "",
         "description" => esc_html__("Title display in box.", 'mediclick')
      ),
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Photo Service", 'mediclick'),
         "param_name" => "photo",
         "value" => "",
         "description" => esc_html__("Upload image service.", 'mediclick')
      ),
      array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description", 'mediclick'),
         "param_name" => "content",
         "value" => "",
         "description" => esc_html__("Detail in box.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Link Service", 'mediclick'),
         "param_name" => "link",
         "value" => "",
         "description" => esc_html__("Link of title and image service.", 'mediclick')
      ),
    )
    ));
}


// Features
if(function_exists('vc_map')){
   
   vc_map( array(
   "name" => esc_html__("OT Features", 'mediclick'),
   "base" => "featuresbox",
   "class" => "",
   "category" => 'Mediclick Elements',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title", 'mediclick'),
         "param_name" => "title",
         "value" => "",
         "description" => esc_html__("Title display in box.", 'mediclick')
      ),
      array(

         "type" => "dropdown",

         "holder" => "div",

         "class" => "",

         "heading" => esc_html__("Type Icon", 'mediclick'),

         "param_name" => "itype",

         "value" => array(

                     esc_html__('Icon Fontawesome', 'mediclick') => 'type1', 

                     esc_html__('Icon Streamline', 'mediclick') => 'type2',
                    ),

         "description" => esc_html__("", 'mediclick')
      ),
      array(
         "type" => "iconpicker",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Icon Fontawesome", 'mediclick'),
         "param_name" => "icon1",
         "value" => "",
         'dependency'  => array( 'element' => 'itype', 'value' => array( 'type1' ) ),
         "description" => esc_html__("Icon in box.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Icon Streamline", 'mediclick'),
         "param_name" => "icon2",
         "value" => "",
         'dependency'  => array( 'element' => 'itype', 'value' => array( 'type2' ) ),
         "description" => esc_html__("Icon in box. Add class icon follow: http://html.vegatheme.com/streamline", 'mediclick')
      ),
      array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description", 'mediclick'),
         "param_name" => "content",
         "value" => "",
         "description" => esc_html__("Detail in box.", 'mediclick')
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Type of Box", 'mediclick'),
         "param_name" => "type",
         "value" => array( 

                     esc_html__('Default', 'mediclick') => 'type1', 

                     esc_html__('Vertical', 'mediclick') => 'type2',
                    )
      ),
      
    )
    ));
}


// Compare Image
if(function_exists('vc_map')){
   
   vc_map( array(
   "name" => esc_html__("OT Compare Image", 'mediclick'),
   "base" => "compareimg",
   "class" => "",
   "category" => 'Mediclick Elements',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Image 1", 'mediclick'),
         "param_name" => "image1",
         "value" => "",
         "description" => esc_html__("Upload image 1.", 'mediclick')
      ),
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Image 2", 'mediclick'),
         "param_name" => "image2",
         "value" => "",
         "description" => esc_html__("Upload image 2.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Text Before", 'mediclick'),
         "param_name" => "bf",
         "value" => ""
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Text After", 'mediclick'),
         "param_name" => "af",
         "value" => ""
      ),
    )
    ));
}


// Our Team
if(function_exists('vc_map')){
   
   vc_map( array(
   "name" => esc_html__("OT Our Team", 'mediclick'),
   "base" => "ourteam",
   "class" => "",
   "category" => 'Mediclick Elements',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Photo", 'mediclick'),
         "param_name" => "photo",
         "value" => "",
         "description" => esc_html__("Photo of Member.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Name", 'mediclick'),
         "param_name" => "name",
         "value" => "",
         "description" => esc_html__("Name of Member.", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Job", 'mediclick'),
         "param_name" => "job",
         "value" => "",
         "description" => esc_html__("Job of Member.", 'mediclick')
      ),
      array(
          'type' => 'param_group',
          'heading' => esc_html__("Socials", 'construct'),
          'value' => '',
          'param_name' => 'social',
          // Note params is mapped inside param-group:
          'params' => array(
               array(
                  'type' => 'iconpicker',
                  'value' => '',
                  'heading' => esc_html__('Icon', 'construct'),
                  'param_name' => 'icon',
               ),
               array(
                  'type' => 'textfield',
                  'value' => '',
                  'heading' => esc_html__('Link', 'construct'),
                  'param_name' => 'link',
               ),
          )
      ),
    )
    ));
}


// Testimonial

if(function_exists('vc_map')){
   
   vc_map( array(
   "name" => esc_html__("OT Testimonials", 'mediclick'),
   "base" => "testitem",
   "class" => "",
   "category" => 'Mediclick Elements',
   "icon" => "icon-st",
   "params" => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Photo",
         "param_name" => "photo",
         "value" => "",
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Name",
         "param_name" => "name",
         "value" => "",
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Info Extra",
         "param_name" => "extra",
         "value" => "",
      ),
      array(
         "type" => "textarea_html",
         "holder" => "div",
         "class" => "",
         "heading" => "Content",
         "param_name" => "content",
         "value" => "",
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => "Style",
         "param_name" => "type",
         "value" => array( 

                     esc_html__('Left photo', 'mediclick') => 'type1', 

                     esc_html__('Right photo', 'mediclick') => 'type2',
                    )
      ),
    )
    ));
}


//Google Map

if(function_exists('vc_map')){
   vc_map( array(
   "name" => esc_html__("OT Google Map", 'mediclick'),
   "base" => "ggmap",
   "class" => "",
   "icon" => "icon-st",
   "category" => 'Mediclick Elements',
   "params" => array(  
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("ID Map", 'mediclick'),
         "param_name" => "idmap",
         "value" => "map-canvas",
         "description" => esc_html__("Please enter ID Map, map-canvas1, map-canvas2, map-canvas3, ..etc", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Height Map", 'mediclick'),
         "param_name" => "height",
         "value" => 320,
         "description" => esc_html__("Please enter number height Map, 300, 350, 380, ..etc. Default: 420.", 'mediclick')
      ),    
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Latitude", 'mediclick'),
         "param_name" => "lat",
         "value" => -37.817,
         "description" => esc_html__("Please enter <a href='http://www.latlong.net/'>Latitude</a> google map", 'mediclick')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Longitude", 'mediclick'),
         "param_name" => "long",
         "value" => 144.962,
         "description" => esc_html__("Please enter <a href='http://www.latlong.net/'>Longitude</a> google map", 'mediclick')

      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Zoom Map", 'mediclick'),
         "param_name" => "zoom",
         "value" => 13,
         "description" => esc_html__("Please enter Zoom Map, Default: 15", 'mediclick')
      ),
    array(
            "type" => "colorpicker",
            "holder" => "div",
            "class" => "",
            "heading" => esc_html__("Map color", 'mediclick'),
            "param_name" => "mapcolor",
            "value" => '', //Default White color
            "description" => esc_html__("Choose Map color", 'mediclick')
         ),
     
    array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Icon Map marker",
         "param_name" => "icon",
         "value" => "",
         "description" => esc_html__("Icon Map marker, 47 x 68", 'mediclick')
      ),  
       
    )));

}
 ?>