<?php
/**
 * Hooks for importer
 *
 * @package Mediclick
 */


/**
 * Importer the demo content
 *
 * @since  1.0
 *
 */
function mediclick_importer() {
	return array(
		array(
			'name'       => 'Home Medical',
			'preview'    => 'http://thememodern.com/plugins/mediclick/import-demo/home1.jpg',
			'content'    => 'http://thememodern.com/plugins/mediclick/import-demo/medical/demo-content.xml',
			'customizer' => 'http://thememodern.com/plugins/mediclick/import-demo/medical/customizer.dat',
			'pages'      => array(
				'front_page' => 'Home 1',
				'blog'       => 'Blog',
			),
		),
		array(
			'name'       => 'Home Yoga',
			'preview'    => 'http://thememodern.com/plugins/mediclick/import-demo/home-yoga.jpg',
			'content'    => 'http://thememodern.com/plugins/mediclick/import-demo/yoga/demo-content.xml',
			'customizer' => 'http://thememodern.com/plugins/mediclick/import-demo/yoga/customizer.dat',
			'pages'      => array(
				'front_page' => 'Home 1',
				'blog'       => 'Blog',	
			),
		),
		array(
			'name'       => 'Home Fitness',
			'preview'    => 'http://thememodern.com/plugins/mediclick/import-demo/home-fitness.jpg',
			'content'    => 'http://thememodern.com/plugins/mediclick/import-demo/fitness/demo-content.xml',
			'customizer' => 'http://thememodern.com/plugins/mediclick/import-demo/fitness/customizer.dat',
			'pages'      => array(
				'front_page' => 'Home 1',
				'blog'       => 'Blog',		
			),
		),
		array(
			'name'       => 'Home Spa',
			'preview'    => 'http://thememodern.com/plugins/mediclick/import-demo/home-spa.jpg',
			'content'    => 'http://thememodern.com/plugins/mediclick/import-demo/spa/demo-content.xml',
			'customizer' => 'http://thememodern.com/plugins/mediclick/import-demo/spa/customizer.dat',
			'pages'      => array(
				'front_page' => 'Home 1',
				'blog'       => 'Blog',	
			),
		)
	);
}

add_filter( 'soo_demo_packages', 'mediclick_importer', 30 );