<?php 

//Custom Style Frontend
if(!function_exists('mediclick_custom_frontend_style')){
    function mediclick_custom_frontend_style(){
    	$style_css 	= '';
        $sti 	    = '';
        $bg_h       = '';
        $color_m    = '';

        $bg_pheader = '';
        $h_pheader  = '';

        $logo_mar 	= '';
        $logo_w 	= '';
        $logo_h 	= '';
        $logo2_mar  = '';
        $logo2_w    = '';
        $logo2_h    = '';

        $bg_bt		= '';
        $color_bt	= '';

        $bgi_error  = '';
        $bgc_error  = '';
        $c_error    = '';
        $h_error 	= '';


        //Header
        if(!mediclick_get_option('sticky')){
            $sti = '#subheader{ margin-top: 0; }';
        }
        if(mediclick_get_option('bg_menu')){
        	$bg_h = '.navbar-default{ background: '.mediclick_get_option('bg_menu').'; }';
        }
        if(mediclick_get_option('color_menu')){
        	$color_m = '.main-menu ul li a{ color: '.mediclick_get_option('color_menu').'; }';
        }

        //Logo
        if(mediclick_get_option('logo_width')){
            $logo_w = '.navbar-brand > img { width: '.mediclick_get_option('logo_width').'px; }';
        }
        if(mediclick_get_option('logo_height')){
            $logo_h = '.navbar-brand > img { height: '.mediclick_get_option('logo_height').'px; }';
        }
        if(mediclick_get_option('logo_position')){
            $space = mediclick_get_option('logo_position');
            $logo_mar = '.navbar-header { margin: '.$space["top"].' '.$space["right"].' '.$space["bottom"].' '.$space["left"].'; }';
        }

        //Page Header
        if(mediclick_get_option('page_header_bg')){
            $bg_pheader = '#subheader{ background-image: url('.mediclick_get_option('page_header_bg').'); }';
        }
        if(mediclick_get_option('ph_height')){
            $h_pheader = '.pattern{ padding:'.mediclick_get_option('ph_height').'px 0; }';
        }

        //Footer
        if(mediclick_get_option('bg_bottom')){
        	$bg_bt = 'footer{ background: '.mediclick_get_option('bg_bottom').'; }';
        }
        if(mediclick_get_option('color_bottom')){
        	$color_bt = '.social-icons a i, .text-muted{ color: '.mediclick_get_option('color_bottom').'; }';
        }


        $style_css .= mediclick_get_option('custom_css');
        $style_css .= $sti;
        $style_css .= $bg_h;
        $style_css .= $color_m;

        $style_css .= $logo_w;
        $style_css .= $logo_h;
        $style_css .= $logo_mar;
        $style_css .= $logo2_w;
        $style_css .= $logo2_h;
        $style_css .= $logo2_mar;

        $style_css .= $bgi_error;
        $style_css .= $bgc_error;
        $style_css .= $c_error;
        $style_css .= $h_error;

        $style_css .= $bg_bt;
        $style_css .= $color_bt;

        $style_css .= $bg_pheader;
        $style_css .= $h_pheader;

        if(! empty($style_css)){
			echo '<style type="text/css">'.$style_css.'</style>';
		}
    }
}
add_action('wp_head', 'mediclick_custom_frontend_style');