<?php

 $link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true);
 $link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true);
get_header();
?>

<div id="subheader">             
  <?php if(mediclick_get_option('page_header')){ ?>    
  <div class="pattern">
    <?php $title = mediclick_get_option('title_single') ? mediclick_get_option('title_single') : esc_html__('Single Blog', 'mediclick'); ?>
      <h1><?php echo esc_html( $title ); ?></h1>
  </div>
  <?php } ?>
</div>

<!-- CONTENT BLOG -->
<?php while (have_posts()) : the_post(); ?>
<!-- content begin -->

  <div id="content" class="blog-page single">
    <div class="container">
      <div class="row">
        <div class="col-sm-8">
        <div class="bg-white">
          <article>
            <?php $format = get_post_format(); ?>
              <?php if($format=='audio'){ ?>

                <iframe style="width:100%" src="<?php echo esc_url($link_audio); ?>"></iframe>

                <?php } elseif($format=='video'){ ?>
                <div class="embed-responsive embed-responsive-16by9">
                  <iframe src="<?php echo esc_url($link_video); ?>"></iframe>
                </div>
                <?php } elseif($format=='gallery'){ ?>
                  <?php
                    if ( function_exists('rwmb_meta') ) { 
                  ?>  
                    <?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
                    <?php if($images){ ?>
                      <div class="owl-post">
                        <?php                                                        
                          foreach ( $images as $image ) {                              
                        ?>
                        <?php $img = $image['full_url']; ?>
                          <div><img src="<?php echo esc_url($img); ?>" alt=""></div> 
                        <?php } ?>                   
                      </div>
                    <?php } ?>
                  <?php } ?>
    
                <?php } else { $format=='image' ?>
                <?php
                  if ( function_exists('rwmb_meta') ) { 
                ?>
                  <?php $images = rwmb_meta( '_cmb_image', "type=image" ); ?>
                  <?php if($images){ ?>
                  <?php                                                        
                    foreach ( $images as $image ) {                              
                    ?>
                    <?php $img = $image['full_url']; ?>
                    <img src="<?php echo esc_url($img); ?>" alt="">
                    <?php } ?>
                  <?php } ?>
                <?php } ?>

              <?php } ?>

              <div class="post-content">
              <h2><?php the_title(); ?></h2>
              <div class="post-meta">
                <span class="date"><i class="fa fa-calendar-o"></i><?php the_date( get_option( 'date_format' ) ); ?></span>
                <span class="author"><i class="fa fa-pencil-square-o"></i><?php the_author(); ?></span>
                <span class="comments"><i class="fa fa-comment-o"></i><?php comments_number( '0 '.esc_html__('comment', 'mediclick').'', '1 '.esc_html__('comment', 'mediclick').'', '% '.esc_html__('comments', 'mediclick').'' ); ?></span>
              </div>

              <?php the_content(); ?>

              <?php
                  wp_link_pages( array(
                      'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'mediclick' ) . '</span>',
                      'after'       => '</div>',
                      'link_before' => '<span>',
                      'link_after'  => '</span>',
                      'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'mediclick' ) . ' </span>%',
                      'separator'   => '<span class="screen-reader-text">, </span>',
                  ) );
              ?>

              <?php if(has_tag()) { ?>
              <div class="tagcloud">
                  <?php the_tags('','' ); ?>
              </div>
              <?php } ?>
            </article>
            
            <?php 
              the_post_navigation( array(
                'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Next Post', 'mediclick' ) . '</span> ' .
                  '<span class="screen-reader-text">' . esc_html__( 'Next post:', 'mediclick' ) . '</span> ',
                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Previous Post', 'mediclick' ) . '</span> ' .
                  '<span class="screen-reader-text">' . esc_html__( 'Previous post:', 'mediclick' ) . '</span> ',
              ) ); 
            ?>

            <?php
             if ( comments_open() || get_comments_number() ) :
              comments_template();
             endif;
            ?>
          </div>
        </div>  
        <div class="col-sm-4">
            <?php get_sidebar();?>
        </div>
      </div>
    </div>
  </div>
 </div>

<?php endwhile;?>
  <!-- END CONTENT BLOG -->
<?php get_footer(); ?>	





  